<?php

namespace App\Http\Controllers\Auth;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Session;

use App\Http\Controllers\Controller;
use App\Providers\RouteServiceProvider;
use Illuminate\Foundation\Auth\AuthenticatesUsers;

class LoginController extends Controller
{
    /*
    |--------------------------------------------------------------------------
    | Login Controller
    |--------------------------------------------------------------------------
    |
    | This controller handles authenticating users for the application and
    | redirecting them to your home screen. The controller uses a trait
    | to conveniently provide its functionality to your applications.
    |
    */

    use AuthenticatesUsers;

    /**
     * Where to redirect users after login.
     *
     * @var string
     */
    protected $redirectTo = RouteServiceProvider::HOME;

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    // public function __construct()
    // {
    //     $this->middleware('guest')->except('logout');
    // }

    public function loginHome(Request $req)
    {
        $this->validate($req, [
            'email' => 'required',
            'password' => 'required',
        ]);
        $fieldType = filter_var($req->email, FILTER_VALIDATE_EMAIL) ? 'email' : 'name';
        // dd(auth()->attempt(array($fieldType => 'admin@wherever.com', 'password' => $req->password)));
        if (auth()->attempt(array($fieldType => $req->email, 'password' => $req->password)) & $req->email == "admin@wherever.com")
        {
            $user            = Auth::user();
            return redirect('/dashboard')->with('user',$user);
        }
        else {
            $user            = Auth::user();
            return redirect('/dashboard-user')->with('user',$user);
        }

    }

    public function logout()
    {
        Session::flush();

        if (Auth::check()) {
            Auth::logout();
        }

        return redirect('/');
    }
}
