<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Auth;

use App\Models\Omra;
use App\Models\Hotel;
use App\Models\Photo;
use App\Models\DemandeOmra;

class DemandeOmraController extends Controller
{
    public function demande(Request $req, $id)
    {

        $omra = Omra::findOrFail($id);
        $demande = new DemandeOmra();
        $demande->omra_id = $id;
        $demande->user_id = Auth::user()->id;
        $demande->fname = $req->fname;
        $demande->lname = $req->lname;
        $demande->dob = $req->dob;
        $demande->phone = $req->phone;
        $demande->sex = $req->sex;

        if($req->hasfile('passport')){
            $passfile = $req->file('passport');
            $passfilename = time().'p.'.$passfile->getClientOriginalExtension();
            $passfile->storeAs('public/assets/omraDemande',$passfilename);
            $demande->passport = $passfilename;
        }
        if($req->hasfile('photo')){

            $photofile = $req->file('photo');
            $photofilename = time().'ph.'.$photofile->getClientOriginalExtension();
            $photofile->storeAs('public/assets/omraDemande',$photofilename);
            $demande->photo = $photofilename;
        }
        if($req->hasfile('mdc')){

            $mdcfile = $req->file('mdc');
            $mdcfilename = time().'md.'.$mdcfile->getClientOriginalExtension();
            $mdcfile->storeAs('public/assets/omraDemande',$mdcfilename);
            $demande->mdc = $mdcfilename;
        }
        if($req->hasfile('vac_record')){

            $file = $req->file('vac_record');
            $filename = time().'va.'.$file->getClientOriginalExtension();
            $file->storeAs('public/assets/omraDemande',$filename);
            $demande->vac_record = $filename;
        }

        $demande->status = "En Attente";
        // Available alpha caracters
        $characters = 'ABCDEFGHIJKLMNOPQRSTUVWXYZ';

        // generate a pin based on 2 * 7 digits + a random character
        $pin = mt_rand(1000000, 9999999)
            . mt_rand(1000000, 9999999)
            . $characters[rand(0, strlen($characters) - 1)];

        // shuffle the result
        $string = str_shuffle($pin);
        $demande->matrecule = $string;
        // dd($demande);
        $demande->save();
        return redirect()->back()->with('status',"Demande Added Successfully");
    }

    public function updateDemande(Request $req, $id)
    {

        $demande = DemandeOmra::findOrFail($id);
        $demande->fname = $req->fname;
        $demande->lname = $req->lname;
        $demande->dob = $req->dob;
        $demande->phone = $req->phone;
        $demande->sex = $req->sex;

        if($req->hasfile('passport')){
            $path = 'storage/assets/omraDemande'.$demande->passport;
            if(File::exists($path) )
            {
                File::delete($path);
            }
            $passfile = $req->file('passport');
            $passfilename = time().'p.'.$passfile->getClientOriginalExtension();
            $passfile->storeAs('public/assets/omraDemande',$passfilename);
            $demande->passport = $passfilename;
        }
        if($req->hasfile('photo')){
            $path = 'storage/assets/omraDemande'.$demande->photo;
            if(File::exists($path) )
            {
                File::delete($path);
            }

            $photofile = $req->file('photo');
            $photofilename = time().'ph.'.$photofile->getClientOriginalExtension();
            $photofile->storeAs('public/assets/omraDemande',$photofilename);
            $demande->photo = $photofilename;
        }
        if($req->hasfile('mdc')){
            $path = 'storage/assets/omraDemande'.$demande->mdc;
            if(File::exists($path) )
            {
                File::delete($path);
            }
            $mdcfile = $req->file('mdc');
            $mdcfilename = time().'md.'.$mdcfile->getClientOriginalExtension();
            $mdcfile->storeAs('public/assets/omraDemande',$mdcfilename);
            $demande->mdc = $mdcfilename;
        }
        if($req->hasfile('vac_record')){
            $path = 'storage/assets/omraDemande'.$demande->vac_record;
            if(File::exists($path) )
            {
                File::delete($path);
            }

            $file = $req->file('vac_record');
            $filename = time().'va.'.$file->getClientOriginalExtension();
            $file->storeAs('public/assets/omraDemande',$filename);
            $demande->vac_record = $filename;
        }

        $demande->status = "En Attente";
        $demande->note = "";
        // dd($demande);
        $demande->save();
        return redirect()->back()->with('status',"Demande Updated Successfully");
    }
    public function approve($id)
    {
        $demande = DemandeOmra::findOrFail($id);
        $demande->status = 'Approved';
        $demande->save();
        return redirect()->back();
    }
    public function disapprove(Request $req, $id)
    {
        // dd($req);
        $demande = DemandeOmra::findOrFail($id);
        $demande->status = 'Disapproved';
        $demande->note = $req->text;
        $save = $demande->save();
        if ($save) {
            $response['status'] = 200;
            $response['errors'] = 0;
        }
        return response()->json($response);
    }
    public function demandeDetails($id)
    {
        $list = DemandeOmra::with(['user', 'omra'])->findOrFail($id);
        $omra_demandes = DemandeOmra::with(['user'])->where('omra_id',$list->omra_id)->get();
        // dd($omra_demande);
        return view('omra.details_demande',['list' => $list, 'omra_demandes' => $omra_demandes]);
    }
    public function list_demande()
    {
        $lists = DemandeOmra::get();
        return view('omra.demande',['lists' => $lists]);
    }
    public function list_demande_user()
    {
        $lists = DemandeOmra::where('user_id', Auth::user()->id)->get();
        return view('omra.demande_user',['lists' => $lists]);
    }

}
