<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\File;

use App\Models\Hotel;
use App\Models\Photo;

class HotelController extends Controller
{
    public function index()
    {
        $hotels = Hotel::with('photoHotel')->get();
        $photo = Photo::with('hotel')->where('type',"hotel")->first();
        // dd($photos);
        return view('hotels.index',['hotels' => $hotels,'photo' => $photo]);
    }

    public function store(Request $req)
    {
        // dd($req);
        $hotel = new Hotel();
        $hotel->name = $req->name;
        $hotel->address = $req->address;
        $hotel->phone = $req->phone;
        $hotel->city = $req->city;
        $hotel->description = $req->description;
        $hotel->etoile = $req->etoile;
        $save = $hotel->save();
        if ($save) {
            if($req->hasfile('hotel_photo')){
                foreach($req->file('hotel_photo') as $key => $file)
                {
                    $photo = new Photo();
                    $photofile = $file;
                    $photofilename = time().'H.'.$photofile->getClientOriginalExtension();
                    $photofile->storeAs('public/assets/photo',$photofilename);
                    $photo->file = $photofilename;
                    $photo->type = 'hotel';
                    $photo->id_hotel = $hotel->id;
                    $photo->save();
                }

            }
            if($req->hasfile('room_photo')){
                foreach($req->file('room_photo') as $key => $file_room)
                {
                    $photo = new Photo();
                    $photofile = $file_room;
                    $photofilename = time().'R.'.$photofile->getClientOriginalExtension();
                    $photofile->storeAs('public/assets/photo',$photofilename);
                    $photo->file = $photofilename;
                    $photo->type = 'room';
                    $photo->id_hotel = $hotel->id;
                    $photo->save();
                }
            }
        }



        return redirect()->back()->with('status', "Hotel Added Successfully");
    }


    public function update(Request $req, $id)
    {
        // dd($req);
        $hotel = Hotel::findOrFail($id);
        $hotel->name = $req->name;
        $hotel->address = $req->address;
        $hotel->phone = $req->phone;
        $hotel->city = $req->city;
        $hotel->description = $req->description;
        $hotel->etoile = $req->etoile;
        $save = $hotel->save();

        if ($save) {
            if($req->hasfile('hotel_photo')){
                foreach($req->file('hotel_photo') as $key => $file)
                {
                    $photos = Photo::where('id_hotel',$id)->get();
                    foreach($photos as $key => $photo)
                    {
                        $path = 'storage/assets/photo/'.$photo->name;
                        if(File::exists($path) )
                        {
                            File::delete($path);
                        }

                        $photofile = $file;
                        $photofilename = time().'H.'.$photofile->getClientOriginalExtension();
                        $photofile->storeAs('public/assets/photo',$photofilename);
                        $photo->file = $photofilename;
                        // $photo->type = 'hotel';
                        // $photo->id_hotel = $hotel->id;
                        $photo->save();
                    }
                }

            }
            if($req->hasfile('room_photo')){
                foreach($req->file('room_photo') as $key => $file_room)
                {
                    $photos = Photo::where('id_hotel',$id)->get();
                    foreach($photos as $key => $photo)
                    {
                        $path = 'storage/assets/photo/'.$photo->name;
                        if(File::exists($path) )
                        {
                            File::delete($path);
                        }
                        $photofile = $file_room;
                        $photofilename = time().'R.'.$photofile->getClientOriginalExtension();
                        $photofile->storeAs('public/assets/photo',$photofilename);
                        $photo->file = $photofilename;
                        // $photo->type = 'room';
                        // $photo->id_hotel = $hotel->id;
                        $photo->save();
                    }
                }
            }
        }
        return redirect()->back()->with('status', "Hotel Updated Successfully");
    }

    public function destroy($id)
    {
        $hotel= Hotel::findOrFail($id);
        $hotel->delete();
        $photos = Photo::where('id_hotel',$id)->get();
        foreach($photos as $key => $photo)
        {
            $path = 'storage/assets/photo/'.$photo->name;
            if(File::exists($path) )
            {
                File::delete($path);
            }
            $photo->delete();
        }

        return redirect()->back();
    }
}
