<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\URL;

class Locale
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */
    public function handle($request, Closure $next)
    {
        // if ($request->method() === 'GET') {
            $segment = $request->segment(1);

            if (!in_array($segment, config('app.locales'))) {
                $segments = $request->segments();
                $fallback = session('locale') ?: config('app.fallback_locale');

                array_unshift($segments, $fallback);

                return redirect()->to(implode('/', $segments));
            }

            // Set a default value for lang route parameter for all routes
            URL::defaults(['lang' => $segment]);

            // Forget lang param for all controllers actions
            $request->route()->forgetParameter('lang');

            session(['locale' => $segment]);

            app()->setLocale($segment);
        // }

        return $next($request);
    }
}
