@extends('app')
@section('content')
<div class="container-xxl" id="kt_content_container">
    <!--begin::Post-->
    <div class="content flex-row-fluid" id="kt_content">
        <!--begin::Card-->
        <div class="card" style="margin-top:80px;">
            <!--begin::Card header-->
            <div class="card-header border-0 pt-6">
                <!--begin::Card title-->
                <div class="card-title">
                    <button type="button" class="btn btn-primary"data-bs-toggle="modal" data-bs-target="#exampleModal" onclick="byclickStore('{{route('omra.store')}}')">
                        <!--begin::Svg Icon | path: icons/duotune/arrows/arr075.svg-->
                        <span class="svg-icon svg-icon-2">
                            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none">
                                <rect opacity="0.5" x="11.364" y="20.364" width="16" height="2" rx="1" transform="rotate(-90 11.364 20.364)" fill="black" />
                                <rect x="4.36396" y="11.364" width="16" height="2" rx="1" fill="black" />
                            </svg>
                        </span>
                        <!--end::Svg Icon-->{{__('Ajouter')}}
                    </button>
                    <!--begin::Search-->
                    <div class="d-flex align-items-center position-relative my-1 d-none">
                        <!--begin::Svg Icon | path: icons/duotune/general/gen021.svg-->
                        <span class="svg-icon svg-icon-1 position-absolute ms-6">
                            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none">
                                <rect opacity="0.5" x="17.0365" y="15.1223" width="8.15546" height="2" rx="1" transform="rotate(45 17.0365 15.1223)" fill="black" />
                                <path d="M11 19C6.55556 19 3 15.4444 3 11C3 6.55556 6.55556 3 11 3C15.4444 3 19 6.55556 19 11C19 15.4444 15.4444 19 11 19ZM11 5C7.53333 5 5 7.53333 5 11C5 14.4667 7.53333 17 11 17C14.4667 17 17 14.4667 17 11C17 7.53333 14.4667 5 11 5Z" fill="black" />
                            </svg>
                        </span>
                        <!--end::Svg Icon-->
                        <input type="text" data-kt-user-table-filter="search" class="form-control form-control-solid w-250px ps-14" placeholder="Search user" />
                    </div>
                    <!--end::Search-->
                </div>
                <!--begin::Card title-->
            </div>
            <!--end::Card header-->
            <!--begin::Card body-->
            <div class="card-body pt-0">
                <!--begin::Table-->
                <table class="table align-middle table-row-dashed fs-6 gy-5" id="kt_table_staff">
                    <!--begin::Table head-->
                    <thead>
                        <!--begin::Table row-->
                        <tr class="text-start text-muted fw-bolder fs-7 text-uppercase gs-0">
                            <th class="text-center min-w-125px p-4">{{__("Date depart")}}</th>
                            <th class="text-center min-w-125px p-4">{{__("Date de retoure")}}</th>
                            <th class="text-center min-w-125px p-4">{{__("Heure de retoure")}}</th>
                            <th class="text-center min-w-125px">{{__("Hotel")}}</th>
                            @if (Auth::check() && Auth::user()->is_admin == 1)
                            <th class="text-end min-w-100px p-4">{{__("Actions")}}</th>
                            @endif

                        </tr>
                        <!--end::Table row-->
                    </thead>
                    <!--end::Table head-->
                    <!--begin::Table body-->
                    <tbody class="text-gray-600 fw-bold">
                        <!--begin::Table row-->
                        @foreach ($omras as $omra)
                        <tr>
                            <!--begin::Checkbox-->
                            <!--end::Checkbox-->
                            <!--begin::User=-->
                            <td class="text-center" ><!--begin:: Avatar -->
                                <div class="symbol symbol-circle symbol-50px overflow-hidden me-3">
                                        <a href="">
                                            <div class="symbol-label">
                                                <img src="{{ asset('storage/assets/omra/'.$omra->photo)}}" alt=" " class="w-100" />
                                            </div>
                                        </a>

                                </div>
                                <!--end::Avatar-->
                                <!--begin::User details-->
                                <div class="d-flex flex-column">
                                    <a href="" class="text-gray-800 text-hover-primary mb-1">{{__("On")}} {{$omra->d_debut}} {{__("At")}} {{$omra->t_depart}}</a>
                                    {{-- <span>{{$list->matrecule}}</span> --}}
                                </div>
                            </td>
                            {{-- <td class="text-center" >{{$omra->d_debut}}</td> --}}
                            <!--end::User=-->
                            <!--begin::Role=-->
                            <td class="text-center" >{{$omra->d_fin}}</td>
                            <!--end::Role=-->

                            <td class="text-center">{{$omra->t_fin}}</td>
                            <td class="text-center">{{$omra->hotel->name}}</td>
                            <!--end::Two step=-->
                            <!--begin::Joined-->
                            {{-- <td></td> --}}
                            <!--begin::Joined-->
                            <!--begin::Action=-->
                            @if (Auth::check() && Auth::user()->is_admin == 1)
                            <td class="text-end">

                                <!--begin::Menu item-->
                                <a href="{{route('omra.destroy',$omra->id)}}" class="btn btn-icon  w-30px h-30px delete_card"><span class="svg-icon svg-icon-3">
                                    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none">
                                        <path d="M5 9C5 8.44772 5.44772 8 6 8H18C18.5523 8 19 8.44772 19 9V18C19 19.6569 17.6569 21 16 21H8C6.34315 21 5 19.6569 5 18V9Z" fill="black"></path>
                                        <path opacity="0.5" d="M5 5C5 4.44772 5.44772 4 6 4H18C18.5523 4 19 4.44772 19 5V5C19 5.55228 18.5523 6 18 6H6C5.44772 6 5 5.55228 5 5V5Z" fill="black"></path>
                                        <path opacity="0.5" d="M9 4C9 3.44772 9.44772 3 10 3H14C14.5523 3 15 3.44772 15 4V4H9V4Z" fill="black"></path>
                                    </svg>
                                    </span>
                                </a>
                                <a href="#" class="btn btn-icon w-30px h-30px" data-bs-toggle="modal" data-bs-target="#exampleModal" onclick="byclick({{$omra}}, '{{route('omra.update',$omra->id)}}')">
                                    <span class="svg-icon svg-icon-3">
                                        <svg width="800px" height="800px" viewBox="0 0 16 16" xmlns="http://www.w3.org/2000/svg" fill="#000000">

                                            <g id="SVGRepo_bgCarrier" stroke-width="0"/>

                                            <g id="SVGRepo_tracerCarrier" stroke-linecap="round" stroke-linejoin="round"/>

                                            <g id="SVGRepo_iconCarrier"> <path d="M0 0v16h9.75L14 11.75V6.28l-1 .986V11H9v4H1V1h11.254L10.28 3H3v1h6.295l-.986 1H3v1h4.322l-.986 1H3v1h2.352l-.987 1H3v1h.62c-.102.183-.148.243-.317.588-.314.638-.7 1.51-1.012 2.492L2 14l.92-.291a18.163 18.163 0 0 0 2.492-1.012c.638-.313.987-.52 1.088-.584l.045-.029L16 2.762l-2-2V0h-.762zm4.89 9.89l1.22 1.22-.178.175c.007-.005-.379.227-.961.514-.215.105-.536.222-.834.338l-.274-.274c.116-.298.233-.62.338-.834.287-.582.518-.966.514-.96z" style="marker:none" color="#000000" overflow="visible" fill="gray"/> </g>

                                        </svg>
                                    </span>
                                </a>

                                <a href="{{route('admin.omra.details',$omra->id)}}" class="btn btn-link btn-block">
                                    <i class="fa-solid fa-eye"></i>
                                </a>
                                <!--end::Menu item-->
                                {{-- </div> --}}
                                <!--end::Menu-->
                            </td>

                            @endif

                            <!--end::Action=-->
                        </tr>
                        @endforeach
                        <!-- Modal -->
                        <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                            <div class="modal-dialog modal-dialog-centered mw-800px">
                                <div class="modal-content rounded">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="exampleModalLabel" style="margin-right: 29px;">{{__("Edit Omra")}}</h5>
                                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close" style="margin-right: -104px;"></button>
                                    </div>
                                    <div class="modal-body">
                                        <!--begin::Form-->
                                        <form id="kt_modal_edit_article_form" class="form" action="" method="post" enctype="multipart/form-data">
                                            @csrf
                                            <!--begin::Scroll-->
                                            <div class="scroll-y me-n7 pe-7 row" id="kt_modal_edit_article_scroll" data-kt-scroll="true" data-kt-scroll-activate="{default: false, lg: true}" data-kt-scroll-max-height="auto" data-kt-scroll-dependencies="#kt_modal_edit_article_header" data-kt-scroll-wrappers="#kt_modal_edit_article_scroll" data-kt-scroll-offset="300px">
                                                <div class="fv-row mb-7 col-6">
                                                    <!--begin::Label-->
                                                    <label class="required fw-bold fs-6 mb-2">{{__("Date depart")}}</label>
                                                    <!--end::Label-->
                                                    <!--begin::Input-->
                                                    <input type="date" id="d_debut" name="d_debut" class="form-control form-control-solid mb-3 mb-lg-0" placeholder="Date de debut" value=" " />
                                                    <!--end::Input-->
                                                </div>
                                                <div class="fv-row mb-7 col-6">
                                                    <!--begin::Label-->
                                                    <label class="required fw-bold fs-6 mb-2">{{__("Heure de depart")}}</label>
                                                    <!--end::Label-->
                                                    <!--begin::Input-->
                                                    <input type="time" id="t_depart" name="t_depart" class="form-control form-control-solid mb-3 mb-lg-0" placeholder="Temps de depart" value=" " />
                                                    <!--end::Input-->
                                                </div>
                                                <div class="fv-row mb-7 col-6">
                                                    <!--begin::Label-->
                                                    <label class="required fw-bold fs-6 mb-2">{{__("Date de retoure")}}</label>
                                                    <!--end::Label-->
                                                    <!--begin::Input-->
                                                    <input type="date" id="d_fin" name="d_fin" class="form-control form-control-solid mb-3 mb-lg-0" placeholder="Date de fin" value=" " />
                                                    <!--end::Input-->
                                                </div>

                                                <div class="fv-row mb-7 col-6">
                                                    <!--begin::Label-->
                                                    <label class="required fw-bold fs-6 mb-2">{{__("Heure de retoure")}}</label>
                                                    <!--end::Label-->
                                                    <!--begin::Input-->
                                                    <input type="time" id="t_fin" name="t_fin" class="form-control form-control-solid mb-3 mb-lg-0" placeholder="Temps de d'arrive" value=" " />
                                                    <!--end::Input-->
                                                </div>

                                                <div class="fv-row mb-7 col-4">
                                                    <!--begin::Label-->
                                                    <label class="required fw-bold fs-6 mb-2">{{__("Hotel")}}</label>
                                                    <!--end::Label-->
                                                    <select name="hotel" id="hotel" class="form-select form-select-solid fw-bolder">
                                                        <option></option>
                                                        @foreach ($hotels as $hotel)
                                                        <option value="{{$hotel->id}}">{{$hotel->name}}</option>
                                                        @endforeach
                                                    </select>
                                                </div>

                                                {{-- <div class="fv-row mb-7 col-6">
                                                    <!--begin::Label-->
                                                    <label class="required fw-bold fs-6 mb-2">Types de chambres en fonction de la disposition</label>
                                                    <!--end::Label-->
                                                    <select name="hotel" id="hotel" class="form-select form-select-solid fw-bolder">
                                                        <option value="Duplex">Duplex</option>
                                                        <option value="Studio">Studio</option>
                                                        <option value="Chambre de luxe">Chambre de luxe</option>
                                                        <option value="Suite">Suite</option>

                                                    </select>
                                                </div> --}}
                                                <div class="fv-row mb-7 col-4">
                                                    <!--begin::Label-->
                                                    <label class="required fw-bold fs-6 mb-2">{{__("Types de chambres")}}</label>
                                                    <!--end::Label-->
                                                    <select name="chambre" id="chambre" class="form-select form-select-solid fw-bolder">
                                                        <option value="Chambre simple">{{__("Chambre simple")}}</option>
                                                        <option value="Chambre double">{{__("Chambre double")}}</option>
                                                        <option value="Chambre triple">{{__("Chambre triple")}}</option>
                                                        <option value="Chambre pour quatre">{{__("chambre pour quatre")}}</option>

                                                    </select>
                                                </div>
                                                <div class="fv-row mb-7 col-4">
                                                    <!--begin::Label-->
                                                    <label class="required fw-bold fs-6 mb-2">{{__("Price")}}</label>
                                                    <!--end::Label-->
                                                    <!--begin::Input-->
                                                    <input type="number" id="prix" name="prix" class="form-control form-control-solid mb-3 mb-lg-0" placeholder="Prix" value=" " />
                                                    <!--end::Input-->
                                                </div>
                                                <div class="fv-row mb-7 col-12">
                                                    <!--begin::Label-->
                                                    <label class="required fw-bold fs-6 mb-2">{{__("Photo")}}</label>
                                                    <!--end::Label-->
                                                    <!--begin::Input-->
                                                    <input type="file" id="photo" name="photo" class="form-control form-control-solid mb-3 mb-lg-0" placeholder="" value=" " />
                                                    <!--end::Input-->
                                                </div>

                                                <div class="fv-row mb-7 col">
                                                    <!--begin::Label-->
                                                    <label class="required fw-bold fs-6 mb-2">{{__("Description")}}</label>
                                                    <!--end::Label-->
                                                    <!--begin::Input-->
                                                    <textarea  id="description" name="description" cols="30" rows="5" class="form-control form-control-solid mb-3 mb-lg-0"></textarea>
                                                    <!--end::Input-->
                                                </div>

                                            </div>
                                            <!--end::Scroll-->
                                            <!--begin::Actions-->
                                            <div class="text-center pt-5">
                                                <button type="reset" class="btn btn-light me-3" data-bs-dismiss="modal">{{__('Annuler')}}</button>
                                                <button type="submit" class="btn btn-primary" data-kt-users-modal-action="submit" id="kt_modal_edit_article_submit">
                                                    <span class="indicator-label">{{__('Enregistrer')}}</span>
                                                    <span class="indicator-progress">{{__("Please wait...")}}
                                                    <span class="spinner-border spinner-border-sm align-middle ms-2"></span></span>
                                                </button>
                                            </div>
                                            <!--end::Actions-->
                                        </form>
                                        <!--end::Form-->
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!--  end modal -->


                    </tbody>
                    <!--end::Table body-->
                </table>
                <!--end::Table-->
            </div>
            <!--end::card body-->
        </div>
        <!--end::Card-->
    </div>
    <!--end::Post-->
</div>
@section('extra_js')
<script>
    mapJs("{{app()->getLocale()}}");
    function mapJs(value) {
        locale = value;
        // var langUrl = "//cdn.datatables.net/plug-ins/be7019ee387/i18n/French.json";
        console.log('locale', locale)
        if (locale === "fr") { langUrl = "//cdn.datatables.net/plug-ins/be7019ee387/i18n/French.json"; }
        if (locale === "en") { langUrl = "//cdn.datatables.net/plug-ins/be7019ee387/i18n/English.json"; }
        if (locale === "ar") { langUrl = "//cdn.datatables.net/plug-ins/1.13.2/i18n/ar.json"; }
        $("#kt_table_staff").DataTable({

            "language": {
                "url":langUrl,
            "lengthMenu": "Show _MENU_",
            },
            "dom":
            "<'row'" +
            "<'col-sm-6 d-flex align-items-center justify-conten-start'l>" +
            "<'col-sm-6 d-flex align-items-center justify-content-end'f>" +
            ">" +

            "<'table-responsive'tr>" +

            "<'row'" +
            "<'col-sm-12 col-md-5 d-flex align-items-center justify-content-center justify-content-md-start'i>" +
            "<'col-sm-12 col-md-7 d-flex align-items-center justify-content-center justify-content-md-end'p>" +
            ">"
        });
    }
    $('.delete_card').on('click', function (event) {
        event.preventDefault();
        const url = $(this).attr('href');
        Swal.fire({
            title: '{{__("Are you sure?")}}',
            text: '{{__("You wont be able to revert this!")}}',
            icon: 'warning',
            showCancelButton: true,
            cancelButtonText: "{{__('Cancel')}}",
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            // cancelButtonText: '{{__("Cancel!")}}'
            confirmButtonText: '{{__("Yes, delete it!")}}'
            }).then((result) => {
            if (result.isConfirmed) {
                window.location.href = url;
                Swal.fire(
                '{{__("Deleted!")}}',
                '{{__("Your file has been deleted.")}}',
                'success'
                )
            }
        })
    });
    function byclickStore(url){
        $('#kt_modal_edit_article_form').attr('action', url);
        console.log($('#kt_modal_edit_article_form').attr('action'))
    }
    function byclick(omra, url){
        $('#kt_modal_edit_article_form').attr('action', url);
        console.log($('#kt_modal_edit_article_form').attr('action'))
        $('#d_debut').val(omra.d_debut);
        $('#d_fin').val(omra.d_fin);
        $('#t_depart').val(omra.t_depart);
        $('#t_fin').val(omra.t_fin);
        $('#hotel').val(omra.hotel_id);
        $('#chambre').val(omra.chambre);
        $('#description').val(omra.description);
        $('#prix').val(omra.price);

        for (let index = 0; index < omra.length; index++) {
            console.log(omra[index].hotel_id);
                if (omra[index].hotel_id == omra.hotel_id) {
                    document.getElementById("hotel")[index].setAttribute('selected','selected');
                    // document.getElementById('staff').value = omra[index].lname;

                }


        }
    }
</script>
@endsection
<script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
@if (session('status'))
    <script>
        swal("Great job. Omra edited Successfully",{
            button:"{{__('OK')}}"
        })
    </script>
@endif

@endsection
