
@extends('welcome')

@section('content')
<div class="content d-flex flex-column flex-column-fluid" id="kt_content">
    <!--begin::Container-->
    <div class="container-xxl" id="kt_content_container">
        <!--begin::Careers - List-->
        <div class="card" style="margin-top: 180px;">
            <!--begin::Body-->
            <div class="card-body p-lg-17">
                <!--begin::Hero-->
                <div class="position-relative mb-17">
                    <!--begin::Overlay-->
                    <div class="overlay overlay-show">
                        <!--begin::Image-->
                        <div class="bgi-no-repeat bgi-position-center bgi-size-cover card-rounded min-h-250px" style="background-image:url('{{asset('storage/assets/omra/'.$omra->photo)}}')"></div>
                        <!--end::Image-->
                        <!--begin::layer-->
                        <div class="overlay-layer rounded bg-black" style="opacity: 0.4"></div>
                        <!--end::layer-->
                    </div>
                    <!--end::Overlay-->
                    <!--begin::Heading-->
                    <div class="position-absolute text-white mb-8 ms-10 bottom-0">
                        <!--begin::Title-->
                        <h3 class="text-white fs-2qx fw-bolder mb-3 m">On {{$omra->d_debut}} {{__("At")}} {{$omra->t_depart}}</h3>
                        <!--end::Title-->
                        <!--begin::Text-->
                        <div class="fs-5 fw-bold">{{__("You sit down. You stare at your screen. The cursor blinks.")}}</div>
                        @if (Auth::check())
                        <a href="" class="btn btn-sm btn-primary mt-5" data-bs-toggle="modal" data-bs-target="#OmraDemandeModal" onclick="byclick('{{route('omra.demande', $omra->id)}}')">{{__("Apply Now")}}</a>
                        @else
                        <a href="" class="btn btn-sm btn-primary mt-5" data-bs-toggle="modal" data-bs-target="#signin">{{__("Apply Now")}}</a>
                        @endif
                        <!--end::Text-->
                    </div>
                    <!--end::Heading-->
                    <div class="modal fade" id="OmraDemandeModal" tabindex="-1" aria-labelledby="OmraDemandeLabel" aria-hidden="true">
                        <div class="modal-dialog modal-dialog-centered mw-800px">
                            <div class="modal-content rounded">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="exampleModalLabel">{{__("Omra Request")}}</h5>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                </div>
                                <div class="modal-body">
                                    <!--begin::Form-->
                                    <form id="kt_modal_edit_article_form" class="form" action="" method="post" enctype="multipart/form-data">
                                        @csrf
                                        <!--begin::Scroll-->
                                        <div class="scroll-y me-n7 pe-7 row" id="kt_modal_edit_article_scroll" data-kt-scroll="true" data-kt-scroll-activate="{default: false, lg: true}" data-kt-scroll-max-height="auto" data-kt-scroll-dependencies="#kt_modal_edit_article_header" data-kt-scroll-wrappers="#kt_modal_edit_article_scroll" data-kt-scroll-offset="300px">
                                            <div class="fv-row mb-7 col-4">
                                                <!--begin::Label-->
                                                <label class="required fw-bold fs-6 mb-2">{{__("First Name")}}</label>
                                                <!--end::Label-->
                                                <!--begin::Input-->
                                                <input type="text" id="fname" name="fname" class="form-control form-control-solid mb-3 mb-lg-0" placeholder="First Name" value=" " />
                                                <!--end::Input-->
                                            </div>
                                            <div class="fv-row mb-7 col-4">
                                                <!--begin::Label-->
                                                <label class="required fw-bold fs-6 mb-2">{{__("Last Name")}}</label>
                                                <!--end::Label-->
                                                <!--begin::Input-->
                                                <input type="text" id="lname" name="lname" class="form-control form-control-solid mb-3 mb-lg-0" placeholder="Last Name" value=" " />
                                                <!--end::Input-->
                                            </div>
                                            <div class="fv-row mb-7 col-4">
                                                <!--begin::Label-->
                                                <label class="required fw-bold fs-6 mb-2">{{__("Date of Birth")}}</label>
                                                <!--end::Label-->
                                                <!--begin::Input-->
                                                <input type="date" id="dob" name="dob" class="form-control form-control-solid mb-3 mb-lg-0" placeholder="Date of Birth" value=" " />
                                                <!--end::Input-->
                                            </div>
                                            <div class="fv-row mb-7 col-6">
                                                <!--begin::Label-->
                                                <label class="required fw-bold fs-6 mb-2">{{__("Passport")}}</label>
                                                <!--end::Label-->
                                                <!--begin::Input-->
                                                <input type="file" id="passport" name="passport" class="form-control form-control-solid mb-3 mb-lg-0" placeholder="" value=" " />
                                                <!--end::Input-->
                                            </div>
                                            <div class="fv-row mb-7 col-6">
                                                <!--begin::Label-->
                                                <label class="required fw-bold fs-6 mb-2">{{__("Photo")}}</label>
                                                <!--end::Label-->
                                                <!--begin::Input-->
                                                <input type="file" id="photo" name="photo" class="form-control form-control-solid mb-3 mb-lg-0" placeholder="" value=" " />
                                                <!--end::Input-->
                                            </div>
                                            <div class="fv-row mb-7 col-6">
                                                <!--begin::Label-->
                                                <label class="required fw-bold fs-6 mb-2">{{__("Medical certificate of good health")}}</label>
                                                <!--end::Label-->
                                                <!--begin::Input-->
                                                <input type="file" id="mdc" name="mdc" class="form-control form-control-solid mb-3 mb-lg-0" placeholder="" value=" " />
                                                <!--end::Input-->
                                            </div>
                                            <div class="fv-row mb-7 col-6">
                                                <!--begin::Label-->
                                                <label class="required fw-bold fs-6 mb-2">{{__("Vaccination record")}}</label>
                                                <!--end::Label-->
                                                <!--begin::Input-->
                                                <input type="file" id="vac_record" name="vac_record" class="form-control form-control-solid mb-3 mb-lg-0" placeholder="" value="" />
                                                <!--end::Input-->
                                            </div>
                                            <div class="fv-row mb-7 col-4">
                                                <!--begin::Label-->
                                                <label class="required fw-bold fs-6 mb-2">{{__("Nationality")}}</label>
                                                <!--end::Label-->
                                                <select name="nationality" class="form-select form-select-solid fw-bolder">
                                                    <option></option>
                                                    <option value="1">{{__("Algerien")}}</option>
                                                </select>
                                            </div>
                                            <div class="fv-row mb-7 col-4">
                                                <!--begin::Label-->
                                                <label class="required fw-bold fs-6 mb-2">{{__("Sex")}}</label>
                                                <!--end::Label-->
                                                <select name="sex" class="form-select form-select-solid fw-bolder">
                                                    <option></option>
                                                    <option value="f">{{__("Female")}}</option>
                                                    <option value="m">{{__("Male")}}</option>
                                                </select>
                                            </div>
                                            <div class="fv-row mb-7 col-4">
                                                <!--begin::Label-->
                                                <label class="required fw-bold fs-6 mb-2">{{__("Phone")}}</label>
                                                <!--end::Label-->
                                                <input type="phone" name="phone" id="phone" class="form-control form-control-solid mb-3 mb-lg-0" placeholder="Phone" value="">
                                            </div>

                                        </div>
                                        <!--end::Scroll-->
                                        <!--begin::Actions-->
                                        <div class="text-center pt-5">
                                            <button type="reset" class="btn btn-light me-3" data-bs-dismiss="modal">{{__('Annuler')}}</button>
                                            <button type="submit" class="btn btn-primary" data-kt-users-modal-action="submit" id="kt_modal_edit_article_submit">
                                                <span class="indicator-label">{{__('Enregistrer')}}</span>
                                                <span class="indicator-progress">{{__("Please wait...")}}
                                                <span class="spinner-border spinner-border-sm align-middle ms-2"></span></span>
                                            </button>
                                        </div>
                                        <!--end::Actions-->
                                    </form>
                                    <!--end::Form-->
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="modal fade" id="signin" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                        <div class="modal-dialog modal-dialog-centered mw-400px">
                            <div class="modal-content rounded">
                                <div class="modal-header">
                                    {{-- <h5 class="modal-title" id="exampleModalLabel">Update my SiteWeb</h5> --}}
                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                </div>
                                <div class="modal-body">
                                    <!--begin::Form-->
                                        <form class="form w-100" novalidate="novalidate" id="kt_sign_in_form" method="post" action="{{route('loginHome')}}">
                                            @csrf
                                            <!--begin::Heading-->
                                            <div class="text-center mb-10">
                                                <!--begin::Title-->
                                                <h1 class="text-dark mb-3">{{__("Sign In to Wherever")}}</h1>
                                                <!--end::Title-->
                                                <!--begin::Link-->
                                                <div class="text-gray-400 fw-bold fs-4">{{__("New Here?")}}
                                                <a href="" class="link-primary fw-bolder" data-bs-toggle="modal" data-bs-target="#signup">{{__("Create an Account")}}</a></div>
                                                <!--end::Link-->
                                            </div>
                                            <!--begin::Heading-->
                                            <!--begin::Input group-->
                                            <div class="fv-row mb-10">
                                                <!--begin::Label-->
                                                <label class="form-label fs-6 fw-bolder text-dark">{{__("Email")}}</label>
                                                <!--end::Label-->
                                                <!--begin::Input-->
                                                <input class="form-control form-control-lg form-control-solid @error('email') is-invalid @enderror" type="text" name="email" autocomplete="off" />
                                                @error('email')
                                                    <span class="invalid-feedback" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                @enderror
                                                <!--end::Input-->
                                            </div>
                                            <!--end::Input group-->
                                            <!--begin::Input group-->
                                            <div class="fv-row mb-10">
                                                <!--begin::Wrapper-->
                                                <div class="d-flex flex-stack mb-2">
                                                    <!--begin::Label-->
                                                    <label class="form-label fw-bolder text-dark fs-6 mb-0">{{__("Password")}}</label>
                                                    <!--end::Label-->
                                                    <!--begin::Link-->
                                                    <a href="" class="link-primary fs-6 fw-bolder" data-bs-toggle="modal" data-bs-target="#forgotPass">{{__("Forgot Password ?")}}</a>
                                                    <!--end::Link-->
                                                </div>
                                                <!--end::Wrapper-->
                                                <!--begin::Input-->
                                                <input class="form-control form-control-lg form-control-solid @error('password') is-invalid @enderror" type="password" name="password" autocomplete="off" />
                                                @error('password')
                                                    <span class="invalid-feedback" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                @enderror
                                                <!--end::Input-->
                                            </div>
                                            <!--end::Input group-->
                                            <!--begin::Actions-->
                                            <div class="text-center">
                                                <!--begin::Submit button-->
                                                <button type="submit" id="kt_sign_in_submit" class="btn btn-lg btn-primary w-100 mb-5" style="background-color: rgb(211, 198, 76);">
                                                    <span class="indicator-label">{{ __('Login') }}</span>
                                                    <span class="indicator-progress">{{__("Please wait...")}}
                                                    <span class="spinner-border spinner-border-sm align-middle ms-2"></span></span>
                                                </button>
                                                <!--end::Submit button-->
                                            </div>
                                            <!--end::Actions-->
                                        </form>
                                        <!--end::Form-->
                                </div>
                                <div class="modal-footer">

                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="modal fade" id="signup" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                        <div class="modal-dialog modal-dialog-centered mw-500px">
                            <div class="modal-content rounded">
                                <div class="modal-header">
                                    {{-- <h5 class="modal-title" id="exampleModalLabel">Update my SiteWeb</h5> --}}
                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                </div>
                                <div class="modal-body">
                                    <!--begin::Form-->
                                    <form class="form w-100" novalidate="novalidate" id="kt_sign_up_form" method="post" action="{{route('register.store')}}">
                                        @csrf
                                        <!--begin::Heading-->
                                        <div class="mb-10 text-center">
                                            <!--begin::Title-->
                                            <h1 class="text-dark mb-3">{{__("Create an Account")}}</h1>
                                            <!--end::Title-->
                                            <!--begin::Link-->
                                            <div class="text-gray-400 fw-bold fs-4">{{__("Already have an account?")}}
                                            <a href="" class="link-primary fw-bolder" data-bs-toggle="modal" data-bs-target="#signin">{{__("Sign in here")}}</a></div>
                                            <!--end::Link-->
                                        </div>
                                        <!--end::Heading-->
                                        <!--begin::Action-->
                                        {{-- <button type="button" class="btn btn-light-primary fw-bolder w-100 mb-10">
                                        <img alt="Logo" src="assets/media/svg/brand-logos/google-icon.svg" class="h-20px me-3" />Sign in with Google</button> --}}
                                        <!--end::Action-->
                                        <!--begin::Separator-->
                                        <div class="d-flex align-items-center mb-10">
                                            <div class="border-bottom border-gray-300 mw-50 w-100"></div>
                                            <span class="fw-bold text-gray-400 fs-7 mx-2">{{__("OR")}}</span>
                                            <div class="border-bottom border-gray-300 mw-50 w-100"></div>
                                        </div>
                                        <!--end::Separator-->
                                        <!--begin::Input group-->
                                        <div class="row fv-row mb-7">
                                            <!--begin::Col-->
                                            <div class="col-xl-6">
                                                <label class="form-label fw-bolder text-dark fs-6">{{__("First Name")}}</label>
                                                <input class="form-control form-control-lg form-control-solid @error('fname') is-invalid @enderror" type="text" placeholder="" name="fname" autocomplete="off" />
                                                @error('fname')
                                                    <span class="invalid-feedback" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                @enderror
                                            </div>
                                            <!--end::Col-->
                                            <!--begin::Col-->
                                            <div class="col-xl-6">
                                                <label class="form-label fw-bolder text-dark fs-6">{{__("Last Name")}}</label>
                                                <input class="form-control form-control-lg form-control-solid @error('lname') is-invalid @enderror" type="text" placeholder="" name="lname" autocomplete="off" />
                                                @error('lname')
                                                    <span class="invalid-feedback" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                @enderror
                                            </div>
                                            <!--end::Col-->
                                        </div>
                                        <!--end::Input group-->
                                        <!--begin::Input group-->
                                        <div class="fv-row mb-7">
                                            <label class="form-label fw-bolder text-dark fs-6">{{__("Email")}}</label>
                                            <input class="form-control form-control-lg form-control-solid @error('email') is-invalid @enderror" type="email" placeholder="" name="email" autocomplete="off" />
                                            @error('email')
                                                <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                        <!--end::Input group-->
                                        <!--begin::Input group-->
                                        <div class="mb-10 fv-row" data-kt-password-meter="true">
                                            <!--begin::Wrapper-->
                                            <div class="mb-1">
                                                <!--begin::Label-->
                                                <label class="form-label fw-bolder text-dark fs-6">{{__("Password")}}</label>
                                                <!--end::Label-->
                                                <!--begin::Input wrapper-->
                                                <div class="position-relative mb-3">
                                                    <input class="form-control form-control-lg form-control-solid @error('password') is-invalid @enderror" type="password" placeholder="" name="password" autocomplete="off" />
                                                    <span class="btn btn-sm btn-icon position-absolute translate-middle top-50 end-0 me-n2" data-kt-password-meter-control="visibility">
                                                        <i class="bi bi-eye-slash fs-2"></i>
                                                        <i class="bi bi-eye fs-2 d-none"></i>
                                                    </span>
                                                    @error('password')
                                                        <span class="invalid-feedback" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                </div>
                                                <!--end::Input wrapper-->
                                                <!--begin::Meter-->
                                                <div class="d-flex align-items-center mb-3" data-kt-password-meter-control="highlight">
                                                    <div class="flex-grow-1 bg-secondary bg-active-success rounded h-5px me-2"></div>
                                                    <div class="flex-grow-1 bg-secondary bg-active-success rounded h-5px me-2"></div>
                                                    <div class="flex-grow-1 bg-secondary bg-active-success rounded h-5px me-2"></div>
                                                    <div class="flex-grow-1 bg-secondary bg-active-success rounded h-5px"></div>
                                                </div>
                                                <!--end::Meter-->
                                            </div>
                                            <!--end::Wrapper-->
                                            <!--begin::Hint-->
                                            <div class="text-muted">{{__("Use 8 or more characters with a mix of letters, numbers")}} &amp; {{__("symbols.")}}</div>
                                            <!--end::Hint-->
                                        </div>
                                        <!--end::Input group=-->
                                        <!--begin::Input group-->
                                        <div class="fv-row mb-5">
                                            <label class="form-label fw-bolder text-dark fs-6">{{__("Confirm Password")}}</label>
                                            <input class="form-control form-control-lg form-control-solid" type="password" placeholder="" name="confirm_password" autocomplete="off" />
                                        </div>
                                        <!--end::Input group-->
                                        <!--begin::Actions-->
                                        <div class="text-center">
                                            <button type="submit" id="kt_sign_up_submit" class="btn btn-lg btn-primary" style="background-color: rgb(211, 198, 76);">
                                                <span class="indicator-label">{{ __('Register') }}</span>
                                                <span class="indicator-progress">{{__("Please wait...")}}
                                                <span class="spinner-border spinner-border-sm align-middle ms-2"></span></span>
                                            </button>
                                        </div>
                                        <!--end::Actions-->
                                    </form>
                                        <!--end::Form-->
                                </div>
                                <div class="modal-footer">

                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal fade" id="forgotPass" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                        <div class="modal-dialog modal-dialog-centered mw-600px">
                            <div class="modal-content rounded">
                                <div class="modal-header">
                                    {{-- <h5 class="modal-title" id="exampleModalLabel">Update my SiteWeb</h5> --}}
                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                </div>
                                <div class="modal-body">
                                    <!--begin::Form-->
                                    <form class="form w-100" novalidate="novalidate" id="kt_password_reset_form" method="post" action="{{route('password.email')}}">
                                        @csrf
                                        <!--begin::Heading-->
                                        <div class="text-center mb-10">
                                            <!--begin::Title-->
                                            <h1 class="text-dark mb-3">{{__("Forgot Password ?")}}</h1>
                                            <!--end::Title-->
                                            <!--begin::Link-->
                                            <div class="text-gray-400 fw-bold fs-4">{{__("Enter your email to reset your password.")}}</div>
                                            <!--end::Link-->
                                        </div>
                                        <!--begin::Heading-->
                                        <!--begin::Input group-->
                                        <div class="fv-row mb-10">
                                            <label class="form-label fw-bolder text-gray-900 fs-6">{{__("Email")}}</label>
                                            <input class="form-control form-control-solid @error('email') is-invalid @enderror" type="email" placeholder="" name="email" value="{{ old('email') }}" required autocomplete="email" autofocus />
                                            @error('email')
                                                <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                        <!--end::Input group-->
                                        <!--begin::Actions-->
                                        <div class="d-flex flex-wrap justify-content-center pb-lg-0">
                                            <button type="submit" id="kt_password_reset_submit" class="btn btn-lg btn-primary fw-bolder me-4" style="background-color: rgb(211, 198, 76);">
                                                <span class="indicator-label">{{__("Reset")}}</span>
                                                <span class="indicator-progress">{{__("Please wait...")}}
                                                <span class="spinner-border spinner-border-sm align-middle ms-2"></span></span>
                                            </button>
                                            <a href="{{route('home')}}" class="btn btn-lg btn-light-primary fw-bolder">{{__("Cancel")}}</a>
                                        </div>
                                        <!--end::Actions-->
                                    </form>
                                    <!--end::Form-->
                                </div>
                                <div class="modal-footer">

                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- Modal -->
                    <div class="modal fade" id="OmraDemandeModal" tabindex="-1" aria-labelledby="OmraDemandeLabel" aria-hidden="true">
                        <div class="modal-dialog modal-dialog-centered mw-800px">
                            <div class="modal-content rounded">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="exampleModalLabel">Omra Request</h5>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                </div>
                                <div class="modal-body">
                                    <!--begin::Form-->
                                    <form id="kt_modal_edit_article_form" class="form" action="" method="post" enctype="multipart/form-data">
                                        @csrf
                                        <!--begin::Scroll-->
                                        <div class="scroll-y me-n7 pe-7 row" id="kt_modal_edit_article_scroll" data-kt-scroll="true" data-kt-scroll-activate="{default: false, lg: true}" data-kt-scroll-max-height="auto" data-kt-scroll-dependencies="#kt_modal_edit_article_header" data-kt-scroll-wrappers="#kt_modal_edit_article_scroll" data-kt-scroll-offset="300px">
                                            <div class="fv-row mb-7 col-4">
                                                <!--begin::Label-->
                                                <label class="required fw-bold fs-6 mb-2">First Name</label>
                                                <!--end::Label-->
                                                <!--begin::Input-->
                                                <input type="text" id="fname" name="fname" class="form-control form-control-solid mb-3 mb-lg-0" placeholder="First Name" value=" " />
                                                <!--end::Input-->
                                            </div>
                                            <div class="fv-row mb-7 col-4">
                                                <!--begin::Label-->
                                                <label class="required fw-bold fs-6 mb-2">Last Name</label>
                                                <!--end::Label-->
                                                <!--begin::Input-->
                                                <input type="text" id="lname" name="lname" class="form-control form-control-solid mb-3 mb-lg-0" placeholder="Last Name" value=" " />
                                                <!--end::Input-->
                                            </div>
                                            <div class="fv-row mb-7 col-4">
                                                <!--begin::Label-->
                                                <label class="required fw-bold fs-6 mb-2">Date of Birth</label>
                                                <!--end::Label-->
                                                <!--begin::Input-->
                                                <input type="date" id="dob" name="dob" class="form-control form-control-solid mb-3 mb-lg-0" placeholder="Date of Birth" value=" " />
                                                <!--end::Input-->
                                            </div>
                                            <div class="fv-row mb-7 col-6">
                                                <!--begin::Label-->
                                                <label class="required fw-bold fs-6 mb-2">Passport</label>
                                                <!--end::Label-->
                                                <!--begin::Input-->
                                                <input type="file" id="passport" name="passport" class="form-control form-control-solid mb-3 mb-lg-0" placeholder="" value=" " />
                                                <!--end::Input-->
                                            </div>
                                            <div class="fv-row mb-7 col-6">
                                                <!--begin::Label-->
                                                <label class="required fw-bold fs-6 mb-2">Photo</label>
                                                <!--end::Label-->
                                                <!--begin::Input-->
                                                <input type="file" id="photo" name="photo" class="form-control form-control-solid mb-3 mb-lg-0" placeholder="" value=" " />
                                                <!--end::Input-->
                                            </div>
                                            <div class="fv-row mb-7 col-6">
                                                <!--begin::Label-->
                                                <label class="required fw-bold fs-6 mb-2">Medical certificate of good health</label>
                                                <!--end::Label-->
                                                <!--begin::Input-->
                                                <input type="file" id="mdc" name="mdc" class="form-control form-control-solid mb-3 mb-lg-0" placeholder="" value=" " />
                                                <!--end::Input-->
                                            </div>
                                            <div class="fv-row mb-7 col-6">
                                                <!--begin::Label-->
                                                <label class="required fw-bold fs-6 mb-2">Vaccination record</label>
                                                <!--end::Label-->
                                                <!--begin::Input-->
                                                <input type="file" id="vac_record" name="vac_record" class="form-control form-control-solid mb-3 mb-lg-0" placeholder="" value="" />
                                                <!--end::Input-->
                                            </div>
                                            <div class="fv-row mb-7 col-4">
                                                <!--begin::Label-->
                                                <label class="required fw-bold fs-6 mb-2">Nationality</label>
                                                <!--end::Label-->
                                                <select name="nationality" class="form-select form-select-solid fw-bolder">
                                                    <option></option>
                                                    <option value="1">Algerien</option>
                                                </select>
                                            </div>
                                            <div class="fv-row mb-7 col-4">
                                                <!--begin::Label-->
                                                <label class="required fw-bold fs-6 mb-2">Sex</label>
                                                <!--end::Label-->
                                                <select name="sex" class="form-select form-select-solid fw-bolder">
                                                    <option></option>
                                                    <option value="f">Female</option>
                                                    <option value="m">Male</option>
                                                </select>
                                            </div>
                                            <div class="fv-row mb-7 col-4">
                                                <!--begin::Label-->
                                                <label class="required fw-bold fs-6 mb-2">Phone</label>
                                                <!--end::Label-->
                                                <input type="phone" name="phone" id="phone" class="form-control form-control-solid mb-3 mb-lg-0" placeholder="Phone" value="">
                                            </div>

                                        </div>
                                        <!--end::Scroll-->
                                        <!--begin::Actions-->
                                        <div class="text-center pt-5">
                                            <button type="reset" class="btn btn-light me-3" data-bs-dismiss="modal">{{__('Annuler')}}</button>
                                            <button type="submit" class="btn btn-primary" data-kt-users-modal-action="submit" id="kt_modal_edit_article_submit">
                                                <span class="indicator-label">{{__('Enregistrer')}}</span>
                                                <span class="indicator-progress">Please wait...
                                                <span class="spinner-border spinner-border-sm align-middle ms-2"></span></span>
                                            </button>
                                        </div>
                                        <!--end::Actions-->
                                    </form>
                                    <!--end::Form-->
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!--end::-->
                <!--begin::Layout-->
                <div class="d-flex flex-column flex-lg-row mb-17">
                    <!--begin::Content-->
                    <div class="flex-lg-row-fluid me-0 me-lg-20">
                        <!--begin::Job-->
                        <div class="mb-17">
                            <!--begin::Description-->
                            <div class="m-0">
                                <!--begin::Title-->
                                <h4 class="fs-1 text-gray-800 w-bolder mb-6">{{__("Information of")}} {{$omra->hotel->name}} <span style="text-align:right !important; color:rgba(159, 159, 12, 0.783);">
                                    @for ($i=1;$i<=$omra->hotel->etoile;$i++)
                                    ★
                                    @endfor</span>
                                </h4>
                                <!--end::Title-->
                                <!--begin::Text-->
                                <p class="fw-bold fs-4 text-gray-600 mb-2">{{$omra->hotel->description}}.</p>
                                <!--end::Text-->
                            </div>
                            <!--end::Description-->
                            <!--begin::Accordion-->
                            <!--begin::Section-->
                            <div class="m-0">
                                <!--begin::Heading-->
                                <div class="d-flex align-items-center collapsible py-3 toggle mb-0" data-bs-toggle="collapse" data-bs-target="#kt_job_1_1">
                                    <!--begin::Icon-->
                                    <div class="btn btn-sm btn-icon mw-20px btn-active-color-primary me-5">
                                        <!--begin::Svg Icon | path: icons/duotune/general/gen036.svg-->
                                        <span class="svg-icon toggle-on svg-icon-primary svg-icon-1">
                                            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none">
                                                <rect opacity="0.3" x="2" y="2" width="20" height="20" rx="5" fill="black" />
                                                <rect x="6.0104" y="10.9247" width="12" height="2" rx="1" fill="black" />
                                            </svg>
                                        </span>
                                        <!--end::Svg Icon-->
                                        <!--begin::Svg Icon | path: icons/duotune/general/gen035.svg-->
                                        <span class="svg-icon toggle-off svg-icon-1">
                                            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none">
                                                <rect opacity="0.3" x="2" y="2" width="20" height="20" rx="5" fill="black" />
                                                <rect x="10.8891" y="17.8033" width="12" height="2" rx="1" transform="rotate(-90 10.8891 17.8033)" fill="black" />
                                                <rect x="6.01041" y="10.9247" width="12" height="2" rx="1" fill="black" />
                                            </svg>
                                        </span>
                                        <!--end::Svg Icon-->
                                    </div>
                                    <!--end::Icon-->
                                    <!--begin::Title-->
                                    <h4 class="text-gray-700 fw-bolder cursor-pointer mb-0">{{$omra->hotel->name}} {{__("in")}} {{$omra->hotel->city}}</h4>
                                    <!--end::Title-->
                                </div>
                                <!--end::Heading-->
                                <!--begin::Body-->
                                <div id="kt_job_1_1" class="row collapse show fs-6 ms-1">
                                    <!--begin::Item-->
                                    @foreach ($photos_hotels as $photos_hotel)
                                    <div class="col-6 mb-4">
                                        <!--begin::Item-->
                                        <div class="d-flex align-items-center ps-10 mb-n1">
                                            <!--begin::Bullet-->
                                            {{-- <span class="bullet me-3"></span> --}}
                                            <!--end::Bullet-->
                                            <!--begin::Label-->
                                            <img class="header-image" src="{{ asset('storage/assets/photo/'.$photos_hotel->file)}}"
                                                                    alt="" style="width: 100%!important">
                                            <!--end::Label-->
                                        </div>
                                        <!--end::Item-->
                                    </div>
                                    @endforeach
                                    <!--end::Item-->
                                    <!--begin::Item-->
                                    {{-- <div class="mb-4">
                                        <!--begin::Item-->
                                        <div class="d-flex align-items-center ps-10 mb-n1">
                                            <!--begin::Bullet-->
                                            <span class="bullet me-3"></span>
                                            <!--end::Bullet-->
                                            <!--begin::Label-->
                                            <div class="text-gray-600 fw-bold fs-6">Good time-management skills</div>
                                            <!--end::Label-->
                                        </div>
                                        <!--end::Item-->
                                    </div> --}}
                                    <!--end::Item-->
                                </div>
                                <!--end::Content-->
                                <!--begin::Separator-->
                                <div class="separator separator-dashed"></div>
                                <!--end::Separator-->
                            </div>
                            <!--end::Section-->
                            <!--begin::Section-->
                            <div class="m-0">
                                <!--begin::Heading-->
                                <div class="d-flex align-items-center collapsible py-3 toggle collapsed mb-0" data-bs-toggle="collapse" data-bs-target="#kt_job_1_2">
                                    <!--begin::Icon-->
                                    <div class="btn btn-sm btn-icon mw-20px btn-active-color-primary me-5">
                                        <!--begin::Svg Icon | path: icons/duotune/general/gen036.svg-->
                                        <span class="svg-icon toggle-on svg-icon-primary svg-icon-1">
                                            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none">
                                                <rect opacity="0.3" x="2" y="2" width="20" height="20" rx="5" fill="black" />
                                                <rect x="6.0104" y="10.9247" width="12" height="2" rx="1" fill="black" />
                                            </svg>
                                        </span>
                                        <!--end::Svg Icon-->
                                        <!--begin::Svg Icon | path: icons/duotune/general/gen035.svg-->
                                        <span class="svg-icon toggle-off svg-icon-1">
                                            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none">
                                                <rect opacity="0.3" x="2" y="2" width="20" height="20" rx="5" fill="black" />
                                                <rect x="10.8891" y="17.8033" width="12" height="2" rx="1" transform="rotate(-90 10.8891 17.8033)" fill="black" />
                                                <rect x="6.01041" y="10.9247" width="12" height="2" rx="1" fill="black" />
                                            </svg>
                                        </span>
                                        <!--end::Svg Icon-->
                                    </div>
                                    <!--end::Icon-->
                                    <!--begin::Title-->
                                    <h4 class="text-gray-700 fw-bolder cursor-pointer mb-0">{{__("The different rooms")}}</h4>
                                    <!--end::Title-->
                                </div>
                                <!--end::Heading-->
                                <!--begin::Body-->
                                <div id="kt_job_1_2" class="row collapse fs-6 ms-1">
                                    <!--begin::Item-->
                                    @foreach ($photos_rooms as $photos_room)
                                    <div class="col-6 mb-4">
                                        <!--begin::Item-->
                                        <div class="d-flex align-items-center ps-10 mb-n1">
                                            <!--begin::Bullet-->
                                            {{-- <span class="bullet me-3"></span> --}}
                                            <!--end::Bullet-->
                                            <!--begin::Label-->
                                            <img class="header-image" src="{{ asset('storage/assets/photo/'.$photos_room->file)}}"
                                                                    alt="" style="width: 100%!important">
                                            <!--end::Label-->
                                        </div>
                                        <!--end::Item-->
                                    </div>
                                    @endforeach
                                    <!--end::Item-->
                                </div>
                                <!--end::Content-->
                                <!--begin::Separator-->
                                <div class="separator separator-dashed"></div>
                                <!--end::Separator-->
                            </div>
                            <!--end::Section-->
                            <!--begin::Section-->
                            {{-- <div class="m-0">
                                <!--begin::Heading-->
                                <div class="d-flex align-items-center collapsible py-3 toggle collapsed mb-0" data-bs-toggle="collapse" data-bs-target="#kt_job_1_3">
                                    <!--begin::Icon-->
                                    <div class="btn btn-sm btn-icon mw-20px btn-active-color-primary me-5">
                                        <!--begin::Svg Icon | path: icons/duotune/general/gen036.svg-->
                                        <span class="svg-icon toggle-on svg-icon-primary svg-icon-1">
                                            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none">
                                                <rect opacity="0.3" x="2" y="2" width="20" height="20" rx="5" fill="black" />
                                                <rect x="6.0104" y="10.9247" width="12" height="2" rx="1" fill="black" />
                                            </svg>
                                        </span>
                                        <!--end::Svg Icon-->
                                        <!--begin::Svg Icon | path: icons/duotune/general/gen035.svg-->
                                        <span class="svg-icon toggle-off svg-icon-1">
                                            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none">
                                                <rect opacity="0.3" x="2" y="2" width="20" height="20" rx="5" fill="black" />
                                                <rect x="10.8891" y="17.8033" width="12" height="2" rx="1" transform="rotate(-90 10.8891 17.8033)" fill="black" />
                                                <rect x="6.01041" y="10.9247" width="12" height="2" rx="1" fill="black" />
                                            </svg>
                                        </span>
                                        <!--end::Svg Icon-->
                                    </div>
                                    <!--end::Icon-->
                                    <!--begin::Title-->
                                    <h4 class="text-gray-700 fw-bolder cursor-pointer mb-0">Job Candidate Benefits</h4>
                                    <!--end::Title-->
                                </div>
                                <!--end::Heading-->
                                <!--begin::Body-->
                                <div id="kt_job_1_3" class="collapse fs-6 ms-1">
                                    <!--begin::Item-->
                                    <div class="mb-4">
                                        <!--begin::Item-->
                                        <div class="d-flex align-items-center ps-10 mb-n1">
                                            <!--begin::Bullet-->
                                            <span class="bullet me-3"></span>
                                            <!--end::Bullet-->
                                            <!--begin::Label-->
                                            <div class="text-gray-600 fw-bold fs-6">Experience with JavaScript</div>
                                            <!--end::Label-->
                                        </div>
                                        <!--end::Item-->
                                    </div>
                                    <!--end::Item-->
                                    <!--begin::Item-->
                                    <div class="mb-4">
                                        <!--begin::Item-->
                                        <div class="d-flex align-items-center ps-10 mb-n1">
                                            <!--begin::Bullet-->
                                            <span class="bullet me-3"></span>
                                            <!--end::Bullet-->
                                            <!--begin::Label-->
                                            <div class="text-gray-600 fw-bold fs-6">Good time-management skills</div>
                                            <!--end::Label-->
                                        </div>
                                        <!--end::Item-->
                                    </div>
                                    <!--end::Item-->
                                    <!--begin::Item-->
                                    <div class="mb-4">
                                        <!--begin::Item-->
                                        <div class="d-flex align-items-center ps-10 mb-n1">
                                            <!--begin::Bullet-->
                                            <span class="bullet me-3"></span>
                                            <!--end::Bullet-->
                                            <!--begin::Label-->
                                            <div class="text-gray-600 fw-bold fs-6">Experience with React</div>
                                            <!--end::Label-->
                                        </div>
                                        <!--end::Item-->
                                    </div>
                                    <!--end::Item-->
                                    <!--begin::Item-->
                                    <div class="mb-4">
                                        <!--begin::Item-->
                                        <div class="d-flex align-items-center ps-10 mb-n1">
                                            <!--begin::Bullet-->
                                            <span class="bullet me-3"></span>
                                            <!--end::Bullet-->
                                            <!--begin::Label-->
                                            <div class="text-gray-600 fw-bold fs-6">Experience with HTML / CSS</div>
                                            <!--end::Label-->
                                        </div>
                                        <!--end::Item-->
                                    </div>
                                    <!--end::Item-->
                                    <!--begin::Item-->
                                    <div class="mb-4">
                                        <!--begin::Item-->
                                        <div class="d-flex align-items-center ps-10 mb-n1">
                                            <!--begin::Bullet-->
                                            <span class="bullet me-3"></span>
                                            <!--end::Bullet-->
                                            <!--begin::Label-->
                                            <div class="text-gray-600 fw-bold fs-6">Experience with REST API</div>
                                            <!--end::Label-->
                                        </div>
                                        <!--end::Item-->
                                    </div>
                                    <!--end::Item-->
                                    <!--begin::Item-->
                                    <div class="mb-4">
                                        <!--begin::Item-->
                                        <div class="d-flex align-items-center ps-10">
                                            <!--begin::Bullet-->
                                            <span class="bullet me-3"></span>
                                            <!--end::Bullet-->
                                            <!--begin::Label-->
                                            <div class="text-gray-600 fw-bold fs-6">Git knowledge is a plus</div>
                                            <!--end::Label-->
                                        </div>
                                        <!--end::Item-->
                                    </div>
                                    <!--end::Item-->
                                </div>
                                <!--end::Content-->
                                <!--begin::Separator-->
                                <div class="separator separator-dashed"></div>
                                <!--end::Separator-->
                            </div> --}}
                            <!--end::Section-->
                            <!--end::Accordion-->
                            <!--begin::Apply-->
                            {{-- <a href="../../demo9/dist/pages/careers/apply.html" class="btn btn-sm btn-primary mt-5">Apply Now</a> --}}
                            <!--end::Apply-->
                        </div>
                        <!--end::Job-->
                    </div>
                    <!--end::Content-->
                    <!--begin::Sidebar-->
                    <div class="flex-lg-row-auto w-100 w-lg-275px w-xxl-350px">
                        <!--begin::Careers about-->
                        <div class="card bg-light">
                            <!--begin::Body-->
                            <div class="card-body">
                                <!--begin::Top-->
                                <div class="mb-7">
                                    <!--begin::Title-->
                                    <h2 class="fs-1 text-gray-800 w-bolder mb-6">{{__("About Omra")}}</h2>
                                    <!--end::Title-->
                                    <!--begin::Text-->
                                    <p class="fw-bold fs-6 text-gray-600">{{$omra->description}}.</p>
                                    <!--end::Text-->
                                </div>
                                <!--end::Top-->
                                <!--begin::Item-->
                                <div class="mb-8">
                                    <!--begin::Title-->
                                    <h4 class="text-gray-700 w-bolder mb-0">{{__("Omra program")}}</h4>
                                    <!--end::Title-->
                                    <!--begin::Section-->
                                    <div class="my-2">
                                        <!--begin::Row-->
                                        <div class="d-flex align-items-center mb-3">
                                            <!--begin::Bullet-->
                                            <span class="bullet me-3"></span>
                                            <!--end::Bullet-->
                                            <!--begin::Label-->
                                            <div class="text-gray-600 fw-bold fs-6">{{__("Departe on")}} {{$omra->d_debut}} {{__("At")}} {{$omra->t_depart}}</div>
                                            <!--end::Label-->
                                        </div>
                                        <!--end::Row-->
                                        <!--begin::Row-->
                                        <div class="d-flex align-items-center mb-3">
                                            <!--begin::Bullet-->
                                            <span class="bullet me-3"></span>
                                            <!--end::Bullet-->
                                            <!--begin::Label-->
                                            <div class="text-gray-600 fw-bold fs-6">{{__("Back on ")}}{{$omra->d_fin}} {{__("At")}} {{$omra->t_fin}}</div>
                                            <!--end::Label-->
                                        </div>
                                        <!--end::Row-->
                                    </div>
                                    <!--end::Section-->
                                </div>
                                <!--end::Item-->
                                <!--begin::Item-->
                                <div class="mb-8">
                                    <!--begin::Title-->
                                    <h4 class="text-gray-700 w-bolder mb-0">{{__("Reservation Information")}}</h4>
                                    <!--end::Title-->
                                    <!--begin::Section-->
                                    <div class="my-2">
                                        <!--begin::Row-->
                                        <div class="d-flex align-items-center mb-3">
                                            <!--begin::Bullet-->
                                            <span class="bullet me-3"></span>
                                            <!--end::Bullet-->
                                            <!--begin::Label-->
                                            <div class="text-gray-600 fw-bold fs-6">{{__("Hotel")}} {{$omra->hotel->name}}</div>
                                            <!--end::Label-->
                                        </div>
                                        <!--end::Row-->
                                        <!--begin::Row-->
                                        <div class="d-flex align-items-center mb-3">
                                            <!--begin::Bullet-->
                                            <span class="bullet me-3"></span>
                                            <!--end::Bullet-->
                                            <!--begin::Label-->
                                            <div class="text-gray-600 fw-bold fs-6">{{__("Room")}} {{$omra->chambre}}</div>
                                            <!--end::Label-->
                                        </div>
                                        <!--end::Row-->
                                        <!--begin::Row-->
                                        <div class="d-flex align-items-center mb-3">
                                            <!--begin::Bullet-->
                                            <span class="bullet me-3"></span>
                                            <!--end::Bullet-->
                                            <!--begin::Label-->
                                            <div class="text-gray-600 fw-bold fs-6">{{__("Price")}} {{$omra->price}} {{__("DA")}}</div>
                                            <!--end::Label-->
                                        </div>
                                        <!--end::Row-->
                                    </div>
                                    <!--end::Section-->
                                </div>
                                <!--end::Item-->
                                <!--begin::Link-->
                                {{-- <a href="../../demo9/dist/pages/blog/post.html" class="link-primary fs-6 fw-bold">Explore More</a> --}}
                                <!--end::Link-->
                            </div>
                            <!--end::Body-->
                        </div>
                        <!--end::Careers about-->
                    </div>
                    <!--end::Sidebar-->
                </div>
                <!--end::Layout-->


            </div>
            <!--end::Body-->
        </div>
        <!--end::Careers - List-->
    </div>
    <!--end::Container-->
</div>
@section('extra_js')
<script>
    function byclick(url){
        $('#kt_modal_edit_article_form').attr('action', url);
        console.log($('#kt_modal_edit_article_form').attr('action'))

    }
</script>
@endsection
@endsection
